Error while installing erpNext frappe on ubuntu

Dear All,
I have been following the steps mentioned in the following page relentlessly from the past few days link :https://github.com/frappe/bench with no luck. everytime i enter the command sudo python install.py --develop
It gives me the following error.

TASK [Overwrite bench if required] *********************************************
fatal: [localhost]: FAILED! => {“failed”: true, “msg”: “The conditional check ‘overwrite’ failed. The error was: error while evaluating conditional (overwrite): ‘overwrite’ is undefined\n\nThe error appears to have been in ‘/tmp/.bench/playbooks/develop/includes/setup_bench.yml’: line 21, column 5, but may\nbe elsewhere in the file depending on the exact syntax problem.\n\nThe offending line appears to be:\n\n\n - name: Overwrite bench if required\n ^ here\n”}
to retry, use: --limit @develop/install.retry

PLAY RECAP *********************************************************************
localhost : ok=30 changed=12 unreachable=0 failed=1

Traceback (most recent call last):
File “install.py”, line 351, in
install_bench(args)
File “install.py”, line 108, in install_bench
run_playbook(‘develop/install.yml’, sudo=True, extra_vars=extra_vars)
File “install.py”, line 301, in run_playbook
success = subprocess.check_call(args, cwd=os.path.join(cwd, ‘playbooks’))
File “/usr/lib/python2.7/subprocess.py”, line 540, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command ‘[‘ansible-playbook’, ‘-c’, ‘local’, ‘develop/install.yml’, ‘-e’, ‘@/tmp/extra_vars.json’, ‘–become’, ‘–become-user=vinod’]’ returned non-zero exit status 2

Any help with this regard would be much appreciated.
Tried on Ubuntu 14 and 16 too.

Thanks in advance

@Vinod_Gangal Hi are you installing on a clean OS?

Yes. I created a new instance on AWS and then installed erpNext and frappe.
I installed in --develop mode and also received the message “Frappe/erpNext successfully installed”
then i created a new site named localhost and installed erpNext. but i cannot access the webpage using the public DNS of AWS instance.

I think it should be in production mode.

I think this was fixed by a later update. But you may not be able to update without the npm less install.

Either way this will help you